Subject: 24.3.50; Package dependency documentation

From: Tom Willemse <[email-masked]>
Date: Fri, 16 Aug 2013 02:23:07 +0200

I noticed that the "Packaging Basics" section in the Emacs Lisp manual
suggests that version numbers in `Package-Requires' headers are
optional, however the explanation of `Package-Requires' makes it clear
that the version specifier is necessary and testing confirms this.

The values `foo', `(foo)' and `((foo))' all cause an error to be
signaled by `package-buffer-info'. This seems to me that there is no
"possibly" about it.

It's only a tiny change and I hope it's OK. I have tried to follow the
guidelines found in the Emacs manual about sending patches, I didn't
find any reference about diffs of multiple files, so I hope it's OK to
send the diffs separately.

*** ChangeLog	2013-08-16 00:30:03.814759000 +0200
--- ChangeLog.new	2013-08-16 00:29:31.431138190 +0200
***************
*** 1,3 ****
--- 1,8 ----
+ 2013-08-15  Tom Willemse  <[email-masked]>
+ 
+ 	* package.texi (Packaging Basics): The minimal acceptable version
+ 	numbers specified in a package's dependencies are not optional.
+ 
  2013-08-15  Xue Fuqiao  <[email-masked]>
  
  	* markers.texi (The Region): Add/move indexes.
*** package.texi	2013-08-16 00:30:09.127486000 +0200
--- package.texi.new	2013-08-16 00:29:44.384571450 +0200
***************
*** 68,78 ****
  once it is installed.
  
  @item Dependencies
! A list of other packages (possibly including minimal acceptable
! version numbers) on which this package depends.  The list may be
! empty, meaning this package has no dependencies.  Otherwise,
! installing this package also automatically installs its dependencies;
! if any dependency cannot be found, the package cannot be installed.
  @end table
  
  @cindex content directory, package
--- 68,78 ----
  once it is installed.
  
  @item Dependencies
! A list of other packages (including minimal acceptable version
! numbers) on which this package depends.  The list may be empty,
! meaning this package has no dependencies.  Otherwise, installing this
! package also automatically installs its dependencies; if any
! dependency cannot be found, the package cannot be installed.
  @end table
  
  @cindex content directory, package